From 99b9f051c06d193c7d7725c95fd9b32e3408e804 Mon Sep 17 00:00:00 2001
From: Sergey Fedorov <vital.had@gmail.com>
Date: Tue, 3 Jan 2023 23:11:36 +0700
Subject: [PATCH 02/10] Makefile: cleanup

---
 Makefile | 25 ++++++++++++-------------
 1 file changed, 12 insertions(+), 13 deletions(-)

diff --git a/Makefile b/Makefile
index e7afc62..a816e03 100644
--- a/Makefile
+++ b/Makefile
@@ -4,7 +4,7 @@ OPENMP = 1
 ASM_COMPILE = 0
 # MKL_INT 和 ALPHA_INT 是否使用64位， 1 使用64位，0 使用32位。
 INT_64 = 0
-# 表示编不编译 
+# 表示编不编译
 HIP_ON = $(shell echo $${HIP_ON:-0})
 # PLAIN 依赖 mkl
 PLAIN_ON = $(shell echo $${PLAIN_ON:-1})
@@ -19,7 +19,7 @@ PLAIN_ON = 0
 ROOT = $(shell pwd)
 
 LIB_DIR = $(ROOT)/lib
-INC_DIR = $(ROOT)/include 
+INC_DIR = $(ROOT)/include
 OBJ_DIR = $(ROOT)/obj
 BIN_DIR = $(ROOT)/bin
 ASM_DIR = $(ROOT)/asm
@@ -34,7 +34,7 @@ ROCSP_DIR = /home/gcx/csparse
 endif
 LIBNAME = libalpha_spblas
 
-INC += -I$(INC_DIR) 
+INC += -I$(INC_DIR)
 
 ifeq ($(HIP_ON),1)
 INC += -I$(ROCM_DIR)/hip/include
@@ -47,15 +47,15 @@ MAKE = make
 CC = gcc
 HCC= hipcc
 AR = ar
-LDFLAGS = -L$(LIB_DIR) 
+LDFLAGS = -L$(LIB_DIR)
 
-CPPFLAGS += -std=c++11 -fPIC -Ofast  -I$(INC_DIR)
+CPPFLAGS += -std=c++11 -fPIC -Ofast -I$(INC_DIR)
 CFLAGS += -Ofast
 CFLAGS += -std=c11
 CFLAGS += -g
 ifeq ($(OPENMP), 1)
-CFLAGS += -fopenmp 
-CPPFLAGS += -fopenmp 
+CFLAGS += -fopenmp
+CPPFLAGS += -fopenmp
 endif
 # CFLAGS += -mcmodel=large
 CFLAGS += -Wall
@@ -112,9 +112,8 @@ DEFINE += -DMKL_ILP64
 DEFINE += -DALPHA_INT=int64_t
 endif
 
-CEXTRAFLAGS += -lstdc++ -L$(ROCM_DIR)/hip/lib -L$(ROCM_DIR)/rocsparse/lib -lamdhip64 -lrocsparse
-
 ifeq ($(HIP_ON),1)
+CEXTRAFLAGS += -lstdc++ -L$(ROCM_DIR)/hip/lib -L$(ROCM_DIR)/rocsparse/lib -lamdhip64 -lrocsparse
 LDFLAGS += $(CEXTRAFLAGS)
 DEFINE += -D__DCU__
 endif
@@ -125,20 +124,20 @@ endif
 
 export MAKE CC HCC AR CFLAGS CPPFLAGS CEXTRAFLAGS ARCH LDFLAGS
 
-.PHONY :  clean lib test tool
+.PHONY : clean lib test tool
 
 all : lib test tool so
 
-lib : 
+lib :
 	$(MAKE) -C src $(@F)
 
 so : lib 
-	$(CC) -shared -o $(LIB_DIR)/$(LIBNAME).so -Wl,--whole-archive $(LIB_DIR)/$(LIBNAME).a -Wl,--no-whole-archive 
+	$(CC) -shared -o $(LIB_DIR)/$(LIBNAME).so -Wl,--whole-archive $(LIB_DIR)/$(LIBNAME).a -Wl,--no-whole-archive
 
 test : lib
 	$(MAKE) -C test $(@F)
 
-# tool : 
+# tool :
 # 	$(MAKE) -C tools $(@F)
 
 clean :
-- 
2.39.0

